Closed Bug 1419528 Opened 2 years ago Closed 2 years ago

Inset shadows with zero blur radius and spread have extra lines with webrender

Categories

(Core :: Graphics: WebRender, defect, P1)

x86_64
All
defect

Tracking

()

VERIFIED FIXED
mozilla60
Tracking Status
firefox-esr52 --- unaffected
firefox57 --- unaffected
firefox58 --- unaffected
firefox59 --- disabled
firefox60 --- verified
firefox61 --- verified

People

(Reporter: ncarrillo1, Assigned: ethlin)

References

(Blocks 1 open bug)

Details

(Keywords: correctness, nightly-community, regression, Whiteboard: [wr-reserve])

Attachments

(3 files)

Attached image FFWR.png
User Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.89 Safari/537.36

Steps to reproduce:

Go to https://docs.microsoft.com/en-us/dotnet/framework/wpf/advanced/


Actual results:

The tree view to the left is drawn with extra lines around the items.


Expected results:

The treeview on the left should not have extra lines around the items.
WebRender issue https://github.com/servo/webrender/issues/2068
Also a simplified test case is here:
https://jsfiddle.net/3xjgekou/

It shows nothing in Chrome / FF with WR off, and extra lines with WR on.
The lines seem to depend on the zoom level of the browser
Status: UNCONFIRMED → NEW
Has STR: --- → yes
Ever confirmed: true
OS: Unspecified → Linux
Hardware: Unspecified → x86_64
Whiteboard: [wr-mvp] [triage]
Version: 58 Branch → Trunk
This is a regression from Nightly's perspective:

https://docs.microsoft.com/en-us/dotnet/framework/wpf/advanced/

mozregression --good 2017-10-02 --bad 2017-11-21 --pref "layers.acceleration.force-enabled:true" "gfx.webrender.enabled:true" "gfx.webrendest.enabled:true" "gfx.webrender.layers-free:true" "gfx.webrender.blob-images:true"
> [...]
> 6:57.29 INFO: Last good revision: 9f8b3fc384ae6fe8053b087548c57020a55f00fd
> 6:57.29 INFO: First bad revision: a04860cd9c8895aaaadaa32efec5e8b2cdcd24e8
>  6:57.29 INFO: Pushlog:
> https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=9f8b3fc384ae6fe8053b087548c57020a55f00fd&tochange=a04860cd9c8895aaaadaa32efec5e8b2cdcd24e8
> 
> 6:59.23 INFO: ************* Switching to autoland
> [...]
> 10:43.39 INFO: Last good revision: 65fe9a60d39dc8ddfdf805a3ffc8a217da638cab
> 10:43.39 INFO: First bad revision: 882e0b30bc0eaed2d78bee279e51b67e6ee6bbbf
> 10:43.39 INFO: Pushlog:
> https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=65fe9a60d39dc8ddfdf805a3ffc8a217da638cab&tochange=882e0b30bc0eaed2d78bee279e51b67e6ee6bbbf

> 882e0b30bc0e	Kartikaya Gupta — Bug 1408461 - Update reftest results and regenerate bindings for changes in WR PR 1841. r=jrmuizel
> b3d8a0eb09e6	Kartikaya Gupta — Bug 1408461 - Update reftest results for changes in WR PR 1868. r=Gankro
> d1a2ea63196c	Kartikaya Gupta — Bug 1408461 - Update reftest results for changes in WR PR 1869. r=jrmuizel
> d9818c8042f4	Kartikaya Gupta — Bug 1408461 - Update reftest results for changes in WR PR 1873. r=Gankro
> cd0e3778a5ba	Nicolas Silva — Bug 1408461 - Update reftest results for changes in WR PR 1822. r=kats
> c654a712755b	Kartikaya Gupta — Bug 1408461 - Update Cargo lockfiles and re-vendor rust dependencies. r=jrmuizel
> dd8eb671df75	Kartikaya Gupta — Bug 1408461 - Update webrender to commit 7892f5364bc4d35c7a9b42949f0ace4cc54f8b3c. r=jrmuizel

https://github.com/servo/webrender/compare/a624aa6d3b6006c510c8b14026567af4ac545d2f...7892f5364bc4d35c7a9b42949f0ace4cc54f8b3c
Blocks: 1408461
Has Regression Range: --- → yes
Keywords: regression
OS: Linux → All
Priority: -- → P3
Whiteboard: [wr-mvp] [triage] → [wr-mvp] [triage][wr-reserve-candidate]
Whiteboard: [wr-mvp] [triage][wr-reserve-candidate] → [wr-reserve]
See Also: → 1421272
(I realize WR is on in Nightly but there's no plan to let it ride in 59)
See Also: → 1423696
Assignee: nobody → ethlin
The page is normal now. I used mozregression "MOZ_WEBRENDER=1 mozregression --find-fix --bad 2017-11-21 --good 2018-01-14":
20:27.55 INFO: First good revision: 4248602674ff589f368a4b868fa4743a033640e4
20:27.55 INFO: Last bad revision: 05fed903f40f05fd923ba2137696ecc1fa0bafe6
20:27.55 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=05fed903f40f05fd923ba2137696ecc1fa0bafe6&tochange=4248602674ff589f368a4b868fa4743a033640e4

I think it's fixed by bug 1426116 (bug 1423696).

Jan, can you confirm it?
Flags: needinfo?(jan)
Attached video 2018-01-15_17-56-20.mp4
Nightly 59 x64 20180115100056 de_DE @ Debian Testing (KDE, Radeon RX480)
fresh profile: gfx.webrender.all

Still reproducible.
Flags: needinfo?(jan)
I see. It's a sub-pixel problem. I can reproduce the problem on another device.
Depends on: 1429806
Comment on attachment 8942855 [details]
Bug 1419528 - Add a reftest for box shadow with zero attributes.

https://reviewboard.mozilla.org/r/213118/#review218864
Attachment #8942855 - Flags: review?(bugmail) → review+
(In reply to Ethan Lin[:ethlin] from comment #7)
> https://github.com/servo/webrender/pull/2307

Yes, verified fixed by bug 1429806. Thank you!

(In reply to Kartikaya Gupta (email:kats@mozilla.com) from comment #10)
Would you push the reftest? The assignee is ... :(
Pushed by kgupta@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/19a0190543ff
Add a reftest for box shadow with zero attributes. r=kats
https://hg.mozilla.org/mozilla-central/rev/19a0190543ff
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla60
I managed to reproduce the bug using an older version of Nightly (2017-11-21) on macOS 10.13.
I retested everything using the same platform on latest Nightly 61.0a1 and beta 60.0b4 and the bug is not reproducing anymore.
Status: RESOLVED → VERIFIED
Flags: qe-verify+
You need to log in before you can comment on or make changes to this bug.